varying vec3 vWorldVertexPos;
varying float groundLevel;
varying vec3 vNormal;
varying float v;
varying float attPlayer;
uniform float levelBottom;
uniform float levelTop;
uniform float bottomRange;
uniform float topRange;
uniform float ambientLightEnabled;
uniform sampler2D myTexture3;
uniform sampler2D myTexture2;
uniform sampler2D myTexture1;
uniform sampler2D myTexture0;
void main ()
{
  vec4 rockFinalColor_1;
  vec4 tc_2;
  vec4 rock2Color_3;
  vec4 rockColor_4;
  vec4 grassColor_5;
  vec4 beachColor_6;
  vec4 light_7;
  vec4 tmpvar_8;
  tmpvar_8 = ((((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + (gl_LightSource[0].ambient * gl_FrontMaterial.ambient)) * ambientLightEnabled) + ((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + ((gl_LightSource[1].ambient * gl_FrontMaterial.ambient) * attPlayer)));
  light_7.w = tmpvar_8.w;
  light_7.x = min (1.0, tmpvar_8.x);
  light_7.y = min (1.0, tmpvar_8.y);
  light_7.z = min (1.0, tmpvar_8.z);
  beachColor_6 = texture2D (myTexture0, gl_TexCoord[0].xy);
  grassColor_5 = texture2D (myTexture1, gl_TexCoord[0].xy);
  rockColor_4 = texture2D (myTexture2, gl_TexCoord[0].xy);
  rock2Color_3 = texture2D (myTexture3, gl_TexCoord[0].xy);
  if ((v > 0.0)) {
    beachColor_6 = texture2D (myTexture0, gl_TexCoord[1].xy);
    grassColor_5 = texture2D (myTexture1, gl_TexCoord[1].xy);
    rockColor_4 = texture2D (myTexture2, gl_TexCoord[1].xy);
    rock2Color_3 = texture2D (myTexture3, gl_TexCoord[1].xy);
  };
  if ((v < 0.0)) {
    beachColor_6 = texture2D (myTexture0, gl_TexCoord[2].xy);
    grassColor_5 = texture2D (myTexture1, gl_TexCoord[2].xy);
    rockColor_4 = texture2D (myTexture2, gl_TexCoord[2].xy);
    rock2Color_3 = texture2D (myTexture3, gl_TexCoord[2].xy);
  };
  float min_9;
  min_9 = (bottomRange - 1.0);
  float edge0_10;
  edge0_10 = (min_9 - 0.02);
  float t_11;
  t_11 = max (min (((groundLevel - edge0_10) / ((min_9 + 0.02) - edge0_10)), 1.0), 0.0);
  float edge0_12;
  edge0_12 = (topRange - 0.02);
  float t_13;
  t_13 = max (min (((groundLevel - edge0_12) / ((topRange + 0.02) - edge0_12)), 1.0), 0.0);
  tc_2 = ((grassColor_5 * (t_11 * (t_11 * (3.0 - (2.0 * t_11))))) * (1.0 - (t_13 * (t_13 * (3.0 - (2.0 * t_13))))));
  if ((((vWorldVertexPos.y - bottomRange) <= 1.0) && ((vWorldVertexPos.y - bottomRange) >= 0.0))) {
    tc_2 = mix (beachColor_6, grassColor_5, (vWorldVertexPos.y - bottomRange));
  };
  if ((((vWorldVertexPos.y - bottomRange) >= -1.0) && ((vWorldVertexPos.y - bottomRange) < 0.0))) {
    tc_2 = beachColor_6;
  };
  rockFinalColor_1 = rock2Color_3;
  if (((vWorldVertexPos.y >= levelBottom) && (vWorldVertexPos.y <= (levelBottom + 1.0)))) {
    rockFinalColor_1 = mix (rockColor_4, rock2Color_3, (vWorldVertexPos.y - levelBottom));
  };
  if (((vWorldVertexPos.y <= levelTop) && (vWorldVertexPos.y >= (levelTop - 1.0)))) {
    rockFinalColor_1 = mix (rockColor_4, rock2Color_3, (levelTop - vWorldVertexPos.y));
  };
  if (((vWorldVertexPos.y < levelBottom) || (vWorldVertexPos.y > levelTop))) {
    rockFinalColor_1 = rockColor_4;
  };
  float t_14;
  t_14 = max (min (((vNormal.y - 0.7) / 0.15), 1.0), 0.0);
  vec4 tmpvar_15;
  tmpvar_15 = mix (rockFinalColor_1, tc_2, (t_14 * (t_14 * (3.0 - (2.0 * t_14)))));
  tc_2 = tmpvar_15;
  gl_FragColor = (tmpvar_15 * light_7);
}

